POSTGet Token Metadata by Asset Types

Data APIhttps://web3.nodit.io/v1/aptos/mainnet/token/getTokenMetadataByAssetTypes

Retrieves token metadata for the specified asset types.

Path Parameters
chainstring (enum)required

Parameter to specify the target chain for the query.

networkstring (enum)required

Parameter to specify the network of the target chain. Supported networks may vary depending on the chain.

Request Body
assetTypesstring[]required

Enter the Asset Types to query as an array.

Responses
assetTypestring

A field that represents the unique identifier of the asset. Provided in one of two formats:

  • Coin: Asset ID in Move struct format (e.g., 0x1::aptos_coin::AptosCoin)
  • Fungible Asset: Object address that owns the metadata of the asset

예: 0x1::aptos_coin::AptosCoin

tokenStandardstring

A field that represents the standard the asset follows.

  • v1: Assets following the Coin standard
  • v2: Assets following the Fungible Asset standard

예: v1

namestringrequired

A field that represents the name of the asset. The official name of the asset displayed in the user interface; used to identify and distinguish assets.

예: Aptos Coin

symbolstringrequired

A field that represents the symbol of the asset. The abbreviated identifier of the asset used in exchanges and wallets.

예: APT

decimalsintegerrequired

A field that represents the decimal places of the asset. Defines the number of decimal places applied when displaying the actual asset quantity. For example, if decimals is 8, 100000000 (10^8) is displayed as 1.0.

예: 8

totalSupplystringrequired

A field that represents the total circulating supply. Provided as an integer value before decimals are applied. The asset's decimals must be considered when calculating the actual circulating supply.

예: 123456789000000

maximumSupplystringrequired

A field that represents the maximum supply that can be minted. Provided as an integer value before decimals are applied. An empty string ("") means there is no maximum supply limit.

예: 123123

creatorAddressstringrequired

A field that represents the address of the account that created the asset. Provided as a 64-character hexadecimal string prefixed with 0x; identifies the asset creator. Used to track asset management authority and ownership.

예: 0x1

projectURIstringrequired

A field that represents the URI that provides project-related information. A URL is provided where you can find detailed information about the project such as website, whitepaper, and documentation. Used to obtain additional information related to the asset.

예: https://aptos.dev

iconURIstringrequired

A field that represents the icon image URL of the asset. The URL of an image that allows visual identification of the asset is provided.

예: https://aptos.dev/icon.png

X-API-KEY
RequestCU500
cURL
curl -X POST "https://web3.nodit.io/v1/aptos/mainnet/token/getTokenMetadataByAssetTypes" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "assetTypes": ["0x1::aptos_coin::AptosCoin", "0x000000000000000000000000000000000000000000000000000000000000000a"]
}'
Response
Example · 200
[
  {
    "assetType": "0x1::aptos_coin::AptosCoin",
    "tokenStandard": "v1",
    "name": "Aptos Coin",
    "symbol": "APT",
    "decimals": 8,
    "totalSupply": "123456789000000",
    "maximumSupply": "123123",
    "creatorAddress": "0x1",
    "projectURI": "https://aptos.dev",
    "iconURI": "https://aptos.dev/icon.png"
  }
]